Subject: Re: [CDNi] Working Group Last Call on draft-ietf-cdni-uri-signing (take 2)

From: Phil Sorber <[email-masked]>
Date: Mon, 2 Sep 2019 13:28:20 -0600

https://github.com/PSUdaemon/URISigningSpec/pull/63

Please confirm this was the intent of the comments.

Thanks.

On Wed, Aug 7, 2019 at 6:41 PM Kevin Ma <[email-masked]> wrote:

> Hi All,
>
>   The WGLC has now closed.  There were no major objections.  We will
> address Chris's comments and move forward with submitting the draft.
>
> thanx!
>
> --  Kevin, Phil, and Francois
>
> On Wed, Jul 24, 2019 at 1:46 AM Kevin Ma <[email-masked]>
> wrote:
>
>> Hi All,
>>
>>   Today will begin the two-week WGLC on:
>> https://tools.ietf.org/html/draft-ietf-cdni-uri-signing-18
>>
>>   Please send any comments, questions, or concerns to the CDNI mailing
>> list: [email-masked]
>>
>>  The WGLC will end on Wednesday August 7, 2019, at which time, assuming there are no objections, we will submit the draft to the IESG
>>
>> thanx!
>>
>> --  Kevin, Phil, and Francois
>>
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni
>

---

From: Kevin Ma <[email-masked]>
Date: Thu, 5 Sep 2019 13:27:36 -0400

Hi Phil,

  For the IANA registry, I think you want to pattern it more like section
6.4, since this is creating a new subregistry, e.g.:

    The IANA is requested to create a new "CDNI URI Signing Verification
Code" subregistry, in the "Content Delivery Networks Interconnection (CDNI)
Parameters" registry.  The "CDNI URI Signing Verification Code" namespace
defines the valid values associated with the s-uri-signing CDNI Logging
Field.  The CDNI URI Signing Verification Code is a 3DIGIT value as defined
in <ref>section 4.5</ref>.  Additions to the CDNI URI Signing Verification
Code namespace will conform to the "Specification Required" policy as
defined in [RFC8126].

    The following table defines the initial Verification Codes:

  Also, for the new registries, do we want to give any additional guidance
to the expert reviewer as to what would make for a reasonable or
unreasonable addition to each registry?

thanx.

--  Kevin J. Ma

---

From: Chris Lemmons <[email-masked]>
Date: Fri, 6 Sep 2019 09:53:46 -0600

Thanks. I was about to observe the same thing. Specification required
is probably the right level, particularly since any additions to the
codes are likely to be part of whatever specification declares the
claim that could form the basis for a rejection.

On Thu, Sep 5, 2019 at 11:27 AM Kevin Ma <[email-masked]> wrote:
>
> Hi Phil,
>
>   For the IANA registry, I think you want to pattern it more like section 6.4, since this is creating a new subregistry, e.g.:
>
>     The IANA is requested to create a new "CDNI URI Signing Verification Code" subregistry, in the "Content Delivery Networks Interconnection (CDNI) Parameters" registry.  The "CDNI URI Signing Verification Code" namespace defines the valid values associated with the s-uri-signing CDNI Logging Field.  The CDNI URI Signing Verification Code is a 3DIGIT value as defined in <ref>section 4.5</ref>.  Additions to the CDNI URI Signing Verification Code namespace will conform to the "Specification Required" policy as defined in [RFC8126].
>
>   Also, for the new registries, do we want to give any additional guidance to the expert reviewer as to what would make for a reasonable or unreasonable addition to each registry?
>
> thanx.
>
> --  Kevin J. Ma
>
>>>   The WGLC has now closed.  There were no major objections.  We will address Chris's comments and move forward with submitting the draft.
>>>
>>> thanx!
>>>
>>> On Wed, Jul 24, 2019 at 1:46 AM Kevin Ma <[email-masked]> wrote:
>>>>
>>>> Hi All,
>>>>
>>>>   Today will begin the two-week WGLC on: https://tools.ietf.org/html/draft-ietf-cdni-uri-signing-18
>>>>
>>>>   Please send any comments, questions, or concerns to the CDNI mailing list: [email-masked]
>>>>

---

From: Phil Sorber <[email-masked]>
Date: Sun, 8 Sep 2019 12:44:20 -0600

I have updated with your comment.

Not sure what kind of additional guidance you are looking for. I'm open to
the idea, but I'd need some example text to consider. Is there a document
that you feel has done a particularly good job that I could reference?

Thanks.

---

From: Phil Sorber <[email-masked]>
Date: Mon, 9 Sep 2019 13:52:26 -0600

I've read into RFC8126 a little more and I don't think there needs to be
anything more specific said for expert guidance. I'm fine with adding a
paragraph to that effect as well. I think with the spec required, it's
going to be fairly obvious what the use case is, and furthermore the expert
shouldn't be needlessly restricted as they are indeed an expert. I don't
think we need to make the barrier any higher for registration, and I don't
think additions to the registry will be common. I'll note that in the
paragraph as well. Thoughts?

On Sun, Sep 8, 2019 at 12:44 PM Phil Sorber <[email-masked]> wrote:

>>   Also, for the new registries, do we want to give any additional
>> guidance to the expert reviewer as to what would make for a reasonable or

---

From: Chris Lemmons <[email-masked]>
Date: Mon, 9 Sep 2019 14:24:27 -0600

Specification Required already covers most of the concerns. An expert
in URI Signing should generally know what constitutes an acceptable
specification. I don't generally see advice for experts in other RFCs,
but I'm not an expert there.

That said, I might already have some registry extension thoughts. :)
We'll see if anyone is interested in picking up that work, though.

On Mon, Sep 9, 2019 at 1:52 PM Phil Sorber <[email-masked]> wrote:
>
> I've read into RFC8126 a little more and I don't think there needs to be anything more specific said for expert guidance.. I'm fine with adding a paragraph to that effect as well. I think with the spec required, it's going to be fairly obvious what the use case is, and furthermore the expert shouldn't be needlessly restricted as they are indeed an expert. I don't think we need to make the barrier any higher for registration, and I don't think additions to the registry will be common. I'll note that in the paragraph as well. Thoughts?
>
>> Not sure what kind of additional guidance you are looking for. I'm open to the idea, but I'd need some example text to consider. Is there a document that you feel has done a particularly good job that I could reference?
>>
>> Thanks.
>>

---

From: Kevin Ma <[email-masked]>
Date: Tue, 10 Sep 2019 13:52:34 -0400

Hi Phil,

  I tend to agree that the expert reviewer should be able to do the right
thing, and if the update comes via RFC, the WG will have vetted the
usefulness of any new registration.  RFC8126 says "clear guidance to the
designated expert should be provided when defining the registry", so I just
wanted to make sure we don't have any specific guidance.  Metadata just
uses a generic:

    "The Designated Expert will verify that new XXX definitions do not
duplicate existing XXX definitions and prevent gratuitous additions to the
namespace."

thanx.

--  Kevin J. Ma

On Mon, Sep 9, 2019 at 3:52 PM Phil Sorber <[email-masked]> wrote:

>> Not sure what kind of additional guidance you are looking for. I'm open
>> to the idea, but I'd need some example text to consider. Is there a
>> document that you feel has done a particularly good job that I could
>> reference?
>>
>> Thanks.
>>
>>>   For the IANA registry, I think you want to pattern it more like
>>> section 6.4, since this is creating a new subregistry, e.g.:
>>>

---

From: Ben Niven-Jenkins <[email-masked]>
Date: Tue, 10 Sep 2019 21:12:50 +0100

RFC7736 is an example (IMO) of providing useful, while not unnecessarily restrictive, guidance to the expert reviewer.

Something you may want to consider is that specification required does not require an RFC it just requires "the values and their meanings must be documented in a permanent and readily available public specification” and that the expert reviewer may need to review registrations after the closure of the CDNI working group and so relying on CDNI (or URI signing) expertise pre-reviewing the specification in an IETF WG or the IETF in general is not a given

Ben

> On 10 Sep 2019, at 18:52, Kevin Ma <[email-masked]> wrote:
> 
> Hi Phil,
> 
>   I tend to agree that the expert reviewer should be able to do the right thing, and if the update comes via RFC, the WG will have vetted the usefulness of any new registration.  RFC8126 says "clear guidance to the designated expert should be provided when defining the registry", so I just wanted to make sure we don't have any specific guidance.  Metadata just uses a generic:
> 
>     "The Designated Expert will verify that new XXX definitions do not duplicate existing XXX definitions and prevent gratuitous additions to the namespace."
> 
> thanx.
> 
> --  Kevin J. Ma
> 
> 
> On Mon, Sep 9, 2019 at 3:52 PM Phil Sorber <[email-masked] <mailto:[email-masked]>> wrote:
> I've read into RFC8126 a little more and I don't think there needs to be anything more specific said for expert guidance. I'm fine with adding a paragraph to that effect as well. I think with the spec required, it's going to be fairly obvious what the use case is, and furthermore the expert shouldn't be needlessly restricted as they are indeed an expert. I don't think we need to make the barrier any higher for registration, and I don't think additions to the registry will be common. I'll note that in the paragraph as well. Thoughts?
> 
> On Sun, Sep 8, 2019 at 12:44 PM Phil Sorber <[email-masked] <mailto:[email-masked]>> wrote:
> On Thu, Sep 5, 2019 at 11:28 AM Kevin Ma <[email-masked] <mailto:[email-masked]>> wrote:
> Hi Phil,
> 
> On Mon, Sep 2, 2019 at 3:28 PM Phil Sorber <[email-masked] <mailto:[email-masked]>> wrote:
> https://github.com/PSUdaemon/URISigningSpec/pull/63 <https://github.com/PSUdaemon/URISigningSpec/pull/63>
> 
> On Wed, Aug 7, 2019 at 6:41 PM Kevin Ma <[email-masked] <mailto:[email-masked]>> wrote:
> Hi All,
> 
> On Wed, Jul 24, 2019 at 1:46 AM Kevin Ma <[email-masked] <mailto:[email-masked]>> wrote:
> Hi All,
> 
>   Today will begin the two-week WGLC on: https://tools.ietf.org/html/draft-ietf-cdni-uri-signing-18 <https://tools.ietf.org/html/draft-ietf-cdni-uri-signing-18>
> 
>   Please send any comments, questions, or concerns to the CDNI mailing list: [email-masked] <mailto:[email-masked]>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/cdni <https://www.ietf.org/mailman/listinfo/cdni>